CUTLASS: cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params Struct Reference

Parameters structure for host-constructible state.

`#include <direct_epilogue_tensor_op.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Params (TensorRef destination_ref_, TensorRef source_ref_, typename OutputOp::Params output_op_, typename ConvertOp::Params convert_op_)
| Constructs a Params object. More...
CUTLASS_HOST_DEVICE | Params (TensorRef destination_ref_, TensorRef source_ref_, typename OutputOp::Params output_op_)
| Constructs a Params object. More...

## Public Attributes
TensorRef | destination_ref
TensorRef | source_ref
OutputOp::Params | output_op
ConvertOp::Params | convert_op

## Constructor & Destructor Documentation

template<typename Shape_ , typename Operator_ , int PartitionsK, typename Element_ , typename OutputOp_ , typename ConvertOp_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params::Params | ( | TensorRef | destination_ref_,
|  | TensorRef | source_ref_,
|  | typename OutputOp::Params | output_op_,
|  | typename ConvertOp::Params | convert_op_
| ) |  |
| inline

template<typename Shape_ , typename Operator_ , int PartitionsK, typename Element_ , typename OutputOp_ , typename ConvertOp_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params::Params | ( | TensorRef | destination_ref_,
|  | TensorRef | source_ref_,
|  | typename OutputOp::Params | output_op_
| ) |  |
| inline

## Member Data Documentation

template<typename Shape_ , typename Operator_ , int PartitionsK, typename Element_ , typename OutputOp_ , typename ConvertOp_ >

ConvertOp::Params cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params::convert_op

template<typename Shape_ , typename Operator_ , int PartitionsK, typename Element_ , typename OutputOp_ , typename ConvertOp_ >

TensorRef cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params::destination_ref

template<typename Shape_ , typename Operator_ , int PartitionsK, typename Element_ , typename OutputOp_ , typename ConvertOp_ >

OutputOp::Params cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params::output_op

template<typename Shape_ , typename Operator_ , int PartitionsK, typename Element_ , typename OutputOp_ , typename ConvertOp_ >

TensorRef cutlass::epilogue::threadblock::DirectEpilogueTensorOp< Shape_, Operator_, PartitionsK, Element_, OutputOp_, ConvertOp_ >::Params::source_ref

The documentation for this struct was generated from the following file:

- direct_epilogue_tensor_op.h